curl -X POST 'https://verification.didit.me/v3/organization/11111111-2222-3333-4444-555555555555/application/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee/cases/c1a5e000-0000-4000-8000-000000000001/regulatory-reports/' \
-H 'x-api-key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"template": "7ec00000-0000-4000-8000-000000000006"}'import requests
url = "https://verification.didit.me/v3/organization/{organization_id}/application/{application_id}/cases/{case_uuid}/regulatory-reports/"
payload = {
"jurisdiction": "<string>",
"template": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transactions": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"rentity_id": "<string>",
"rentity_branch": "<string>",
"submission_code": "E",
"entity_reference": "<string>",
"fiu_ref_number": "<string>",
"currency_code_local": "<string>",
"submission_date": "2023-11-07T05:31:56Z",
"reporting_person": {},
"location": {},
"reason": "<string>",
"action": "<string>",
"activity": "<string>",
"narrative": {
"who": "<string>",
"what": "<string>",
"when": "<string>",
"where": "<string>",
"why": "<string>",
"how": "<string>"
},
"report_indicators": ["<string>"],
"included_fields": ["<string>"]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
jurisdiction: '<string>',
template: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
transactions: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
rentity_id: '<string>',
rentity_branch: '<string>',
submission_code: 'E',
entity_reference: '<string>',
fiu_ref_number: '<string>',
currency_code_local: '<string>',
submission_date: '2023-11-07T05:31:56Z',
reporting_person: {},
location: {},
reason: '<string>',
action: '<string>',
activity: '<string>',
narrative: {
who: '<string>',
what: '<string>',
when: '<string>',
where: '<string>',
why: '<string>',
how: '<string>'
},
report_indicators: ['<string>'],
included_fields: ['<string>']
})
};
fetch('https://verification.didit.me/v3/organization/{organization_id}/application/{application_id}/cases/{case_uuid}/regulatory-reports/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"case_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"case_number": "<string>",
"report_type_display": "<string>",
"report_code": "<string>",
"report_number": "<string>",
"status_display": "<string>",
"jurisdiction": "<string>",
"rentity_id": "<string>",
"rentity_branch": "<string>",
"entity_reference": "<string>",
"fiu_ref_number": "<string>",
"currency_code_local": "<string>",
"submission_date": "2023-11-07T05:31:56Z",
"reporting_person": {},
"location": {},
"reason": "<string>",
"action": "<string>",
"activity": "<string>",
"narrative": {
"who": "<string>",
"what": "<string>",
"when": "<string>",
"where": "<string>",
"why": "<string>",
"how": "<string>"
},
"report_indicators": [
"<string>"
],
"included_fields": [
"<string>"
],
"transactions": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"validation_errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"validated_at": "2023-11-07T05:31:56Z",
"finalized_at": "2023-11-07T05:31:56Z",
"created_by_email": "<string>",
"created_by_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": "<string>"
}Create Report From Case
Create a draft FIU report for the case: DRAFT status, auto-populated from the optional template plus the case’s subject, linked transactions, and narrative. Validate then finalize to produce the goAML XML and PDF.
curl -X POST 'https://verification.didit.me/v3/organization/11111111-2222-3333-4444-555555555555/application/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee/cases/c1a5e000-0000-4000-8000-000000000001/regulatory-reports/' \
-H 'x-api-key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"template": "7ec00000-0000-4000-8000-000000000006"}'import requests
url = "https://verification.didit.me/v3/organization/{organization_id}/application/{application_id}/cases/{case_uuid}/regulatory-reports/"
payload = {
"jurisdiction": "<string>",
"template": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transactions": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"rentity_id": "<string>",
"rentity_branch": "<string>",
"submission_code": "E",
"entity_reference": "<string>",
"fiu_ref_number": "<string>",
"currency_code_local": "<string>",
"submission_date": "2023-11-07T05:31:56Z",
"reporting_person": {},
"location": {},
"reason": "<string>",
"action": "<string>",
"activity": "<string>",
"narrative": {
"who": "<string>",
"what": "<string>",
"when": "<string>",
"where": "<string>",
"why": "<string>",
"how": "<string>"
},
"report_indicators": ["<string>"],
"included_fields": ["<string>"]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
jurisdiction: '<string>',
template: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
transactions: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
rentity_id: '<string>',
rentity_branch: '<string>',
submission_code: 'E',
entity_reference: '<string>',
fiu_ref_number: '<string>',
currency_code_local: '<string>',
submission_date: '2023-11-07T05:31:56Z',
reporting_person: {},
location: {},
reason: '<string>',
action: '<string>',
activity: '<string>',
narrative: {
who: '<string>',
what: '<string>',
when: '<string>',
where: '<string>',
why: '<string>',
how: '<string>'
},
report_indicators: ['<string>'],
included_fields: ['<string>']
})
};
fetch('https://verification.didit.me/v3/organization/{organization_id}/application/{application_id}/cases/{case_uuid}/regulatory-reports/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"case_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"case_number": "<string>",
"report_type_display": "<string>",
"report_code": "<string>",
"report_number": "<string>",
"status_display": "<string>",
"jurisdiction": "<string>",
"rentity_id": "<string>",
"rentity_branch": "<string>",
"entity_reference": "<string>",
"fiu_ref_number": "<string>",
"currency_code_local": "<string>",
"submission_date": "2023-11-07T05:31:56Z",
"reporting_person": {},
"location": {},
"reason": "<string>",
"action": "<string>",
"activity": "<string>",
"narrative": {
"who": "<string>",
"what": "<string>",
"when": "<string>",
"where": "<string>",
"why": "<string>",
"how": "<string>"
},
"report_indicators": [
"<string>"
],
"included_fields": [
"<string>"
],
"transactions": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"validation_errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"validated_at": "2023-11-07T05:31:56Z",
"finalized_at": "2023-11-07T05:31:56Z",
"created_by_email": "<string>",
"created_by_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": "<string>"
}template and derive report_type/jurisdiction directly.
Related
Authorizations
Path Parameters
Organization UUID.
Application UUID.
Case UUID.
"c1a5e000-0000-4000-8000-000000000001"
Body
Required unless a template is given; the template's report_type is used otherwise.
SAR, STR, CTR, TTR, UTR, IFT, CBR, TFR Required unless a template is given.
2Report template UUID; its field_config seeds the draft before case-derived data is merged in.
Transactions to attach; defaults to the case's linked transactions.
E, M 3Show child attributes
Show child attributes
Response
Draft report created.
SAR, STR, CTR, TTR, UTR, IFT, CBR, TFR goAML report code derived from report_type, e.g. STR, CTR, BCR.
DRAFT, VALIDATED, FINALIZED 2Reporting entity ID issued by the FIU.
E, M 3Five Ws narrative sections.
Show child attributes
Show child attributes
Result of the most recent validation; each entry is a {field, message} object.
Show child attributes
Show child attributes